Subject: RE: [imss] re-review: T11-FC-ZONE-SERVER-MIB in
From: "Wijnen, Bert \(Bert\)" <[email-masked]>
To: "Keith McCloghrie" <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Thu, 4 Jan 2007 00:31:05 +0100
List-Id: Internet and Management Support for Storage Working Group <imss.ietf.org>

W.r.t. 

> -----Original Message-----
> From: Keith McCloghrie [mailto:[email-masked]] 
> Sent: woensdag 3 januari 2007 20:17
> To: Wijnen, Bert (Bert)
> Cc: [email-masked]; [email-masked]
> Subject: Re: [imss] re-review: T11-FC-ZONE-SERVER-MIB in
> 
> > - When I read
> >    t11ZsActiveAttribValue  OBJECT-TYPE
> >     SYNTAX       OCTET STRING (SIZE (0..252))
> >     MAX-ACCESS   read-only
> >     STATUS       current
> >     DESCRIPTION
> >            "The value of the attribute, formatted according to
> >            its type as indicated by the corresponding instance
> >            of t11ZsActiveAttribType.
> > 
> >            As specified in FC-GS-5, the length of an attribute
> >            value is at least 4 bytes, and if necessary, the value
> >            is appended with zero bytes so that the length is a
> >            multiple of four.  For a Vendor Specific attribute
> >            value, the first 8 bytes contains the T10 Vendor ID
> >            as described in FC-GS-5."
> > 
> >    Then it seems to me that the SYNTAX should show at least 
> a size of 4.
> >    So I would make it
> >     SYNTAX       OCTET STRING (SIZE (4..252))
> > 
> >    Or do I not correctly understand the DESCRIPTION clause? In which
> >    case it might be good to clarify it.
>  
> The length is: a) at least 4 bytes and b) a multiple of four. 
> So, if the SYNTAX needs to exclude lengths of 0, 1, 2, and 3,
> then for consistency, it also needs to exclude lengths of 
> 4n+i where 0 < i < 4.
> However, that would require a SIZE clause of more than 300 
> characters (with normal spacing) or 200 characters (omitting 
> all space characters), i.e., either five lines in an RFC, or 
> an unreadable three lines in an RFC.  So that it is both 
> readable and consistent, I suggest that it's better to leave it as-is.
> 

I can live with it. Persoanlly I would still make the minimum SIZE 4.
I can agree that making the SIZE spec such that only multiples of 
4 octets get accepted woul be a bit excessive (for a human reader,
for a machine reader it would be fine I guess). But we have many
human readers as well.

Bert

_______________________________________________
imss mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/imss